Rated 3 out of 5 stars

Firefox 14 compatible~!!!

This review is for a previous version of the add-on (1.1.2). 

Tab Rotator is compatible to FF 14 and 15

I am not quite sure, what you want to say with your comment, but from the context I would assume that you think that Tab Rotator is not compatible to Firefox 14. However it always has been compatible to 14 and even 15. The maxVersion gets set by addons.mozilla.org automatically after the addon passed a bunch of tests. So I have not updated any new version lately, however I can assure you it is compatible nonetheless. I hope this helps.